Bug 60574 - Conditional Formatting: when displaying decimal numbers, localization settings are ignored
Summary: Conditional Formatting: when displaying decimal numbers, localization setting...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 10:43 UTC by S K
Modified: 2013-02-26 18:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S K 2013-02-10 10:43:01 UTC
Problem description: 

Input fields in Conditional Formatting forms should display decimal numbers using localization settings.

Steps to reproduce:

1. Select any cell
2. Open Format -> Conditional Formatting -> Color Scale...
3. Select Color Scale (3 Entries), Percentile and enter value 0,5
4. Press OK
5. Open Open Format -> Conditional Formatting -> Color Scale... again
6. Value 0,5 is now shown as 0.5
7. Press OK
8. Open Open Format -> Conditional Formatting -> Color Scale... again
9. Value 0.5 changed to 0

The same applies to other input fields in Conditional Formatting and also to Icon Set, Data Bar ...

Decimal numbers are shown right in other dialogs (Edit Style ...). 

Current behavior:
When displaying decimal numbers, localization settings are ignored. 

Expected behavior:
When displaying decimal numbers, localization settings should be used.
Comment 1 Thomas Arnhold 2013-02-10 11:06:19 UTC
Reproduced exactly the same behavior with German locale on Windows 7 with Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89).
Comment 2 Not Assigned 2013-02-20 15:29:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de1c23bb7dc952b6b279d0f7505509486c3b5da6

respect local number format in cond format dlg, fdo#60574



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2013-02-26 07:33:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=382bf0e42f1a9ad4109343a164341723da4f7ded&h=libreoffice-4-0

respect local number format in cond format dlg, fdo#60574


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-26 12:18:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c60860b966aba025d7e88422b172faefd007a945&h=libreoffice-4-0-1

respect local number format in cond format dlg, fdo#60574


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.